Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Class Profile

    java.lang.Object
      |
      +--profiles.Profile

public class Profile
extends java.lang.Object

E' una coppia VALORE_ATTUALE, VALORE_DESIDERATO.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) java.lang.String` | `actualValue`
`(package private) java.lang.String` | `owner`
`(package private) java.lang.String` | `requestedValue`

Constructor Summary
`Profile(java.lang.String owner)` Crea un nuovo profilo.

Method Summary
`boolean` | `equals(Profile p)`
`static Profile` | `fromString(java.lang.String str)`
`java.lang.String` | `getActualValue()` Restituisce il valore del dispositivo.
`java.lang.String` | `getOwner()`
`java.lang.String` | `getRequestedValue()`
`boolean` | `match(Profile p)` Confronta due profili.
`void` | `setActualValue(java.lang.String actualValue)` Imposta il valore del dispositivo.
`void` | `setRequestedValue(java.lang.String requestedValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### owner

    java.lang.String owner

### actualValue

    java.lang.String actualValue

### requestedValue

    java.lang.String requestedValue

Constructor Detail

### Profile

    public Profile(java.lang.String owner)

  Crea un nuovo profilo.

Parameters:
  `owner` - l'id del dispositivo a cui appartiene il profilo.

Method Detail

### setActualValue

    public void setActualValue(java.lang.String actualValue)

  Imposta il valore del dispositivo. E' il valore del profilo del dispositivo. Dovrebbe descrivere una qualità, come ad esempio ALTO, UOMO, DONNA, BIONDO...

  Parameters:
    `actualValue` - il valore del profilo.

### getActualValue

    public java.lang.String getActualValue()

  Restituisce il valore del dispositivo. E' il valore del profilo del dispositivo. Dovrebbe descrivere una qualità, come ad esempio ALTO, UOMO, DONNA, BIONDO...

  Returns:
    il valore del profilo.

### setRequestedValue

    public void setRequestedValue(java.lang.String requestedValue)

### getRequestedValue

    public java.lang.String getRequestedValue()

### match

    public boolean match(Profile p)

  Confronta due profili. Due Profili fanno match se il valore attuale di uno è quello richiesto dall'altro e viceversa.

  Parameters:
    `p` - il profilo da considerare
  Returns:
    true se i profili fanno match, false altrimenti

### equals

    public boolean equals(Profile p)

### getOwner

    public java.lang.String getOwner()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### fromString

    public static Profile fromString(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD